RTEMS: cd2401_regs_ Struct Reference

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Data Fields
cd2401_regs_ Struct Reference
Board Support Packages » Motorola 68000 and NXP ColdFire (m68k) » MVME162

## Data Fields
unsigned char | reserved1 [7]
unsigned char | cor7
unsigned char | reserved2
unsigned char | livr
unsigned char | reserved3 [6]
unsigned char | cor1
unsigned char | ier
unsigned char | stcr
unsigned char | ccr
unsigned char | cor5
unsigned char | cor4
unsigned char | cor3
unsigned char | cor2
unsigned char | cor6
unsigned char | dmabsts
unsigned char | csr
unsigned char | cmr
union {
struct {
unsigned char schr4
unsigned char schr3
unsigned char schr2
unsigned char schr1
} async
struct {
unsigned char rfar4
unsigned char rfar3
unsigned char rfar2
unsigned char rfar1
} sync
} | u1
unsigned char | reserved4 [2]
unsigned char | scrh
unsigned char | scrl
union {
struct {
unsigned short rtpr
} w
struct {
unsigned char rtprh
unsigned char rtprl
} b
} | u2
unsigned char | licr
unsigned char | reserved5 [2]
union {
struct {
unsigned char ttr
} async
struct {
unsigned char gt2
} sync
} | u3
union {
struct {
unsigned short gt1
} w
struct {
unsigned char gt1h
unsigned char gt1l
} b
} | u4
unsigned char | reserved6 [2]
unsigned char | lnxt
unsigned char | reserved7
unsigned char | rfoc
unsigned char | reserved8 [7]
unsigned short | tcbadru
unsigned short | tcbadrl
unsigned short | rcbadru
unsigned short | rcbadrl
unsigned short | arbadru
unsigned short | arbardl
unsigned short | brbadru
unsigned short | brbadrl
unsigned short | brbcnt
unsigned short | arbcnt
unsigned short | reserved9
unsigned char | brbsts
unsigned char | arbsts
unsigned short | atbadru
unsigned short | atbadrl
unsigned short | btbadru
unsigned short | btbadrl
unsigned short | btbcnt
unsigned short | atbcnt
unsigned short | reserved10
unsigned char | btbsts
unsigned char | atbsts
unsigned char | reserved11 [32]
unsigned char | tftc
unsigned char | gfrcr
unsigned char | reserved12 [2]
unsigned char | reoir
unsigned char | teoir
unsigned char | meoir
union {
struct {
unsigned short risr
} w
struct {
unsigned char risrh
unsigned char risrl
} b
} | u5
unsigned char | tisr
unsigned char | misr
unsigned char | reserved13 [2]
unsigned char | bercnt
unsigned char | reserved14 [49]
unsigned char | tcor
unsigned char | reserved15 [2]
unsigned char | tbpr
unsigned char | reserved16 [4]
unsigned char | rcor
unsigned char | reserved17 [2]
unsigned char | rbpr
unsigned char | reserved18 [10]
unsigned char | cpsr
unsigned char | reserved19 [3]
unsigned char | tpr
unsigned char | reserved20 [3]
unsigned char | msvr_rts
unsigned char | msvr_dtr
unsigned char | tpilr
unsigned char | rpilr
unsigned char | stk
unsigned char | mpilr
unsigned char | reserved21 [8]
unsigned char | tir
unsigned char | rir
unsigned char | car
unsigned char | mir
unsigned char | reserved22 [6]
unsigned char | dmr
unsigned char | reserved23
unsigned char | dr

The documentation for this struct was generated from the following file:

- bsps/m68k/mvme167/include/bsp.h